			      FixADFS  1.00
			      =============
			       J.G.Harston
		70 Camm Street, Walkley, Sheffield S6 3TR
			  jgh@arcade.demon.co.uk

When pressing Ctrl-Break ADFS loses its context. It forgets the current
directory and library and the previous directory. This can be very
inconvenient, as well as annoying. This small program creates a patched
version of ADFS that remembers where it is over Ctrl-Break.

To use, you need a rom image of ADFS 1.50. You can do this using the
supplied *SrSave command, as the built-in command on the Master does not
allow you to save a sideways ROM.  ADFS is in bank 13, so save the ROM
image as follows:

	*/SrSave ADFS150 8000+4000 D

Once you have a ROM image, run FixADFS.  You will be asked for the name
of the ROM image to load.  Once entered, it will patch the image, and
display a suggested command line to save a new image.

You can load the new image into sideways RAM or blow it into an EPROM and
plug it into a spare ROM socket. If socket 8 on the motherboard is free,
you can use that, otherwise you could plug it into an external cartridge.

Disable the onboard ADFS with *Unplug 13.  If ADFS is your default filing
system, change it to select the new ROM with *Configure FILE <rom> where
<rom> is the bank your new ADFS ROM is in.

If loading the new image to RAM, you will need to simulate a power-on reset
to clear the workspace with:

	*FX151,78,127
	<Ctrl-Break>

ADFS will report itself as version 1.51.  Pressing Ctrl-Break or Ctrl-A-
Break will remember the directory context.  Pressing Ctrl-F-Break resets
ADFS as before.

Version History
===============
09-09-2002 V1.00 JGH: Ctrl-Break doesn't reset directory context.
